Index: cards/CMS_PhaseII/CMS_PhaseII_200PU_v03.tcl
===================================================================
--- cards/CMS_PhaseII/CMS_PhaseII_200PU_v03.tcl	(revision ec37bc3202fb17e911b9602b03a7044a2e62d42f)
+++ cards/CMS_PhaseII/CMS_PhaseII_200PU_v03.tcl	(revision 8a58fff8046971d4b88c9d20358af1ccf51852f5)
@@ -1,5 +1,2 @@
-set RandomSeed 123
-set MaxEvents 10
-
 ########################################
 #
@@ -38,6 +35,4 @@
   HCal
 
-  MuonFilter
-
   PhotonEnergySmearing
   ElectronFilter
@@ -167,7 +162,7 @@
 
 
-#################################
-# Dense Track propagation calo
-#################################
+#####################################
+# Track propagation to calorimeters
+#####################################
 
 module ParticlePropagator ParticlePropagator {
@@ -203,17 +198,11 @@
 
 
-#################################
-# Dense Track propagation
-#################################
+####################################
+# Track propagation to pseudo-pixel
+####################################
 
 module ParticlePropagator DenseProp {
 
   set InputArray TrackMergerProp/tracks
-
-  set OutputArray stableParticles
-  set NeutralOutputArray neutralParticles
-  set ChargedHadronOutputArray chargedHadrons
-  set ElectronOutputArray electrons
-  set MuonOutputArray muons
 
   # radius of the first pixel layer
@@ -246,7 +235,8 @@
 
 module DenseTrackFilter DenseTrackFilter {
+
   set TrackInputArray DenseMergeTracks/tracks
+
   set TrackOutputArray tracks
-
   set ChargedHadronOutputArray chargedHadrons
   set ElectronOutputArray electrons
@@ -446,4 +436,45 @@
 
 
+#################################
+# Energy resolution for electrons
+#################################
+
+module EnergySmearing ElectronEnergySmearing {
+  set InputArray ElectronTrackingEfficiency/electrons
+  set OutputArray electrons
+
+  # set ResolutionFormula {resolution formula as a function of eta and energy}
+
+  # resolution formula for electrons
+
+  # taking something flat in energy for now, ECAL will take over at high energy anyway.
+  # inferred from hep-ex/1306.2016 and 1502.02701
+  set ResolutionFormula {
+
+                        (abs(eta) <= 1.5)  * (energy*0.028) +
+    (abs(eta) > 1.5  && abs(eta) <= 1.75)  * (energy*0.037) +
+    (abs(eta) > 1.75  && abs(eta) <= 2.15) * (energy*0.038) +
+    (abs(eta) > 2.15  && abs(eta) <= 3.00) * (energy*0.044) +
+    (abs(eta) > 3.00  && abs(eta) <= 4.00) * (energy*0.10)}
+
+}
+
+###############################
+# Momentum resolution for muons
+###############################
+
+module MomentumSmearing MuonMomentumSmearing {
+  set InputArray MuonTrackingEfficiency/muons
+  set OutputArray muons
+  # resolution formula for muons
+
+  # up to |eta| < 2.8 take measurement from tracking + muon chambers
+  # for |eta| > 2.8 and pT < 5.0 take measurement from tracking alone taken from
+  # http://mersi.web.cern.ch/mersi/layouts/.private/Baseline_tilted_200_Pixel_1_1_1/index.html
+  source muonMomentumResolution.tcl
+}
+
+
+
 ##############
 # Track merger
@@ -457,45 +488,4 @@
   set OutputArray tracks
 }
-
-#################################
-# Energy resolution for electrons
-#################################
-
-module EnergySmearing ElectronEnergySmearing {
-  set InputArray ElectronTrackingEfficiency/electrons
-  set OutputArray electrons
-
-  # set ResolutionFormula {resolution formula as a function of eta and energy}
-
-  # resolution formula for electrons
-
-  # taking something flat in energy for now, ECAL will take over at high energy anyway.
-  # inferred from hep-ex/1306.2016 and 1502.02701
-  set ResolutionFormula {
-
-                        (abs(eta) <= 1.5)  * (energy*0.028) +
-    (abs(eta) > 1.5  && abs(eta) <= 1.75)  * (energy*0.037) +
-    (abs(eta) > 1.75  && abs(eta) <= 2.15) * (energy*0.038) +
-    (abs(eta) > 2.15  && abs(eta) <= 3.00) * (energy*0.044) +
-    (abs(eta) > 3.00  && abs(eta) <= 4.00) * (energy*0.10)}
-
-}
-
-###############################
-# Momentum resolution for muons
-###############################
-
-module MomentumSmearing MuonMomentumSmearing {
-  set InputArray MuonTrackingEfficiency/muons
-  set OutputArray muons
-  # resolution formula for muons
-
-  # up to |eta| < 2.8 take measurement from tracking + muon chambers
-  # for |eta| > 2.8 and pT < 5.0 take measurement from tracking alone taken from
-  # http://mersi.web.cern.ch/mersi/layouts/.private/Baseline_tilted_200_Pixel_1_1_1/index.html
-  source muonMomentumResolution.tcl
-}
-
-
 
 
@@ -721,15 +711,4 @@
 }
 
-#################
-# Muon filter
-#################
-
-module PdgCodeFilter MuonFilter {
-  set InputArray HCal/eflowTracks
-  set OutputArray muons
-  set Invert true
-  add PdgCode {13}
-  add PdgCode {-13}
-}
 
 
@@ -742,5 +721,5 @@
   add InputArray HCal/eflowTracks eflowTracks
   add InputArray ElectronFilter/electrons electrons
-  add InputArray MuonFilter/muons muons
+  add InputArray MuonMomentumSmearing/muons muons
 
   set VertexInputArray PileUpMerger/vertices
@@ -1200,5 +1179,5 @@
 
 module Cloner MuonCloner {
-  set InputArray MuonFilter/muons
+  set InputArray MuonMomentumSmearing/muons
   set OutputArray muons
 }
@@ -2207,5 +2186,5 @@
 
 module Isolation MuonIsolation {
-  set CandidateInputArray MuonFilter/muons
+  set CandidateInputArray MuonMomentumSmearing/muons
 
   # isolation collection
@@ -4122,6 +4101,4 @@
   add Branch GenMissingET/momentum GenMissingET MissingET
 
-  add Branch TrackMerger/tracks TrackMerger Track
-  add Branch HCal/eflowTracks EFlowTrack Track
 #  add Branch HCal/eflowTracks EFlowTrack Track
 #  add Branch ECal/eflowPhotons EFlowPhoton Tower
